/* Motion Controlled desk lamp by using Arduino Relay Safety Box and Ultrasonic Sensor
   Dev: Michalis Vasilakis // Date: 20/5/2015 // www.ardumotive.com                   */

//Libraries   
#include <Ultrasonic.h>

//Constants
Ultrasonic ultrasonic(A0,A1);
int relayPin=3;
int ledPin = 4;
int distance;

//Variables
int var;

void setup() {
	pinMode(relayPin, OUTPUT);
	pinMode(ledPin,   OUTPUT);
	digitalWrite(ledPin,HIGH);      //Led on while waiting to set sensor to stable point and "see" something like a wall.
	delay(5000);					//Delay 5 sec...
    distance=ultrasonic.Ranging(CM);//Read ranging and save it to distance.
	digitalWrite(ledPin, LOW);		//Led off, starting main program...
    Serial.begin(9600);
}

void loop()
{
	var=ultrasonic.Ranging(CM); //Read ranging and store it to 'var' variable
	Serial.println(var);
	//Send high to relayPin when var will be lower from 10% of distance
	if ( var < (distance-(distance*0.10))){
		digitalWrite(relayPin, HIGH);
	}
	else{
		digitalWrite(relayPin, LOW);
	}
	delay(500); //Read new value every 0.5sec
}
